> For the complete documentation index, see [llms.txt](https://docs.wenprotocol.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wenprotocol.io/how-it-works/annual-fee.md).

# Annual Fee

### What is Annual Fee?

The annual fee is the cost of your debt over time. All Annual Fees will be collected into the Protocol fee pool and incentivized to esWEN staking pool, This will provide sustainable value support for esWEN.&#x20;

### How is Annual Fee calculated?

$$AnnualFee = lastAnnualFee + currentDebt\*\frac{(currentTime-lastCollectedTime)}{1Year}\*feeRate$$

### When will be annual fee collected?

Annual fee will be calculated whenever your debt changes, eg. when you mint more wenUSD or repay your debt


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wenprotocol.io/how-it-works/annual-fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
